/********************/
/* CIV .MAP LIBRARY */
/*     C HEADER     */
/********************/

/* by Maurizio M. Gavioli, (C) 1993 */

#ifndef _CIV_DE_

#define _CIV_DE_
#define CIVBUFFER_LENGTH			0xFA00
/* #define PATTERNBUFFER_LENGTH	0x1800 */
#define MAXGRIDWIDTH					320
#define MAPGRIDWIDTH					320
#define MAPGRIDHEIGHT					200
#define CIV_GETBITMAP					1
#define FALSE									0
#define TRUE									1

typedef unsigned long	DWORD;
typedef unsigned int	WORD;
typedef unsigned char	BYTE;

typedef struct tagRGBTRIO
{	BYTE	Red;
	BYTE	Green;
	BYTE	Blue;
} RGBTRIO;

typedef struct tagCIVPALETTE1
{	WORD	Type;
	WORD	Length;
	BYTE	FirstCol;
	BYTE	LastCol;
	BYTE	Colors[256];
} CIVPALETTE1;

typedef struct tagCIVPALETTE3
{	WORD		Type;
	WORD		Length;
	BYTE		FirstCol;
	BYTE		LastCol;
	RGBTRIO	Colors[256];
} CIVPALETTE3;

extern int	GridWidth;
extern int	GridHeight;
extern CIVPALETTE1	CIVPalette1;
extern CIVPALETTE3	CIVPalette3;

extern int	ReadCIVFile(char * FileName, char far * CIVBuffer, int Flags);
extern int	WriteCIVFile(char * FileName, char far * CIVBuffer);

#endif
